Name:           tclabc
Version:        1.3.7
Release:        3%{?dist}
Summary:        A Tcl interface and a Tk GUI to the ABC notation

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://moinejf.free.fr
Source0:        http://moinejf.free.fr/tclabc-%{version}.tar.gz
BuildRequires:  tk-devel
BuildRequires:	alsa-lib-devel
Requires:       tk
Requires:       abcm2ps


%description
Tclabc is designed to help on writing music in ABC notation.


%prep
%setup -q
for f in *.tcl README
do
  iconv -f iso-8859-1 -t utf-8 $f -o $f.iconv && mv $f.iconv $f
done


%build
# for compatibility with tcl8.6
CFLAGS="%{optflags} -DUSE_INTERP_RESULT"
%configure --with-tcltk=%{_libdir}
make %{?_smp_mflags}


%install
make install prefix=$RPM_BUILD_ROOT%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir} datadir=$RPM_BUILD_ROOT%{_datadir} libdir=$RPM_BUILD_ROOT%{_libdir} INSTALL_DATA="install -p -m644"


%files
%doc Changes LICENSE README
%{_bindir}/*
%{_libdir}/tclabc


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jul  9 2015 Gérard Milmeister <gemi@bluewin.ch> - 1.3.7-1
- New release 1.3.7

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jun 25 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 1.2.2-8
- Fix FTBFS with tcl-8.6 (#1107442)
- Cleanup spec

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 21 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 1.2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/f21tcl86

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Feb 13 2011 Gérard Milmeister <gemi@bluewin.ch> - 1.2.2-1
- new release 1.2.2

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.1.0-2
- fix license tag

* Sat Feb 23 2008 Gerard Milmeister <gemi@bluewin.ch> - 1.1.0-1
- new release 1.1.0

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.9-2
- Autorebuild for GCC 4.3

* Sat Feb 24 2007 Gerard Milmeister <gemi@bluewin.ch> - 1.0.9-1
- new version 1.0.9

* Thu Oct 12 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.0.8-1
- new version 1.0.8

* Thu Sep 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.0.7-3
- added BR alsa-lib-devel
- converted files from iso-8859-1 to utf-8

* Wed Sep 27 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.0.7-2
- added dist tag

* Sun Sep 24 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.0.7-1
- new version 1.0.7

* Sun Jan 29 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.0.0-1
- new version 1.0.0

* Sun Dec 18 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.19.4-1
- New Version 0.19.4

* Sun Sep 18 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.18.12-1
- New Version 0.18.12

* Fri Jun 24 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.18.10-1
- New Version 0.18.10

* Mon May  9 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.18.7-1
- New Version 0.18.7
